﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace SilverlightApplication14
{
  public partial class MainPage : UserControl
  {
    public List<GridRow> _items = new List<GridRow>();

    public MainPage()
    {
      InitializeComponent();

      _items.Add(new GridRow()
      {
        FirstName = "Holtenbeen",
        SecondName = "Heini",
        Comment = "Comment"
      });

      grid.ItemsSource = _items;
    }

    private void Button_Click(object sender, RoutedEventArgs e)
    {
      Infragistics.Controls.Interactions.XamDialogWindow modalDlg = new Page1();
      modalDlg.IsModal = true;
      this.LayoutRoot.Children.Add(modalDlg);
    }

    private void Comment_Click(object sender, RoutedEventArgs e)
    {
      Infragistics.Controls.Interactions.XamDialogWindow dlg = new Infragistics.Controls.Interactions.XamDialogWindow();
      dlg.IsModal = true;
      this.LayoutRoot.Children.Add(dlg);
    }

  }

  public class GridRow : IEditableObject
  {
    public string FirstName { get; set; }
    public string SecondName { get; set; }
    public string Comment { get; set; }

    void IEditableObject.BeginEdit()
    {

    }

    void IEditableObject.CancelEdit()
    {
      MessageBox.Show("Cancel Edit");
    }

    void IEditableObject.EndEdit()
    {

    }
  }
}
